<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Testimonial Page Manager</title>

    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Allura&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Teko:wght@300&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">  
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.2/animate.min.css">
    <style>
        body {
            font-family: 'Montserrat', sans-serif;
            background: #f0f0f0;
            height: 100vh !important;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .wrapper {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-self: center;
            padding: 50px 0;
            position: relative;
        }

        .wrapper > h1 {
            font-size: 40px;
            font-weight: 600;
            margin: 0 0 20px 0;
        }

        .wrapper > p {
            font-size: 20px;
            width: 700px;
        }

        .carousel-control.left,
        .carousel-control.right {
            background: transparent;
            color: #333;
        }

        .imgBox {
            width: 150px;
            height: 150px;
            margin: auto;
            border: 5px solid #595959;
            border-radius: 50%;
            overflow: hidden;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .imgBox img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }


        .carousel-inner {
            background: #f8f8ff;
            padding: 25px;
            border-radius: 15px;
            box-shadow: 0 5px 20px rgba(0, 0, 0, 0.3);
        }

        .carousel-caption {
            position: static;
            padding-bottom: 15px;
            padding-top: 0;
        }

        .carousel-caption h3 {
            font-size: 36px;
            margin-bottom: 15px;
            margin-top: 5px;
            font-family: 'Allura', cursive;
            color: #333;
            font-weight: bold;
            text-shadow: none;
        }

        .carousel-caption h4 {
            color: #555;
            text-shadow: none;
        }

        .carousel-caption p {
            font-size: 18px;
            margin: auto;
            width: 70%;
            margin-bottom: 10px;
            font-family: 'Teko', sans-serif;
            font-weight: 300;
            letter-spacing: 1px;
            color: #555;
        }

        .carousel-indicators li {
            background-color: #ddd;
            width: 20px;
            height: 4px;
            margin: 0 4px;
            border-radius: 2px;
        }

        .carousel-indicators .active {
            background-color: #ff6347;
        }

        .carousel-indicators {
            bottom: 20px;
        }

        .rating {
            display: flex;
            flex-direction: row-reverse;
            justify-content: center;
            font-size: 0;
        }

        .rating input[type="radio"] {
            display: none;
        }

        .rating label {
            font-size: 30px;
            color: rgba(187, 183, 183, 0.726);
            margin: 0 2px;
            cursor: pointer;
        }

        .rating label:before {
            content: "\2605";
        }

        .rating input[type="radio"]:checked ~ label:before {
            content: "\2606";
            color: #595959;
        }

        .delete-button {
            position: absolute;
            top: 0;
            right: 150px;
        }
    </style>
</head>
<body>
   
    <div class="wrapper"> 

        <h1 class="text-center">Testimonial Page Manager</h1>
        <p class="text-center">Welcome to our testimonial page, where our valued clients share their experiences and insights about our services.</p>
        <button class="btn btn-secondary mb-5" data-toggle="modal" data-target="#addTestimonyModal">+ Add Testimony</button>

        <!-- Add Testimony Modal -->
        <div class="modal fade" id="addTestimonyModal" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="addTestimony" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="addTestimony">Add Testimony</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="./endpoint/add-testimony.php" method="POST" enctype="multipart/form-data">
                            <div class="form-group">
                                <label for="witnessImage">Image:</label>
                                <input type="file" class="form-control-file" id="witnessImage" name="witness_image">
                            </div>
                            <div class="form-group">
                                <label for="witnessName">Name:</label>
                                <input type="text" class="form-control" id="witnessName" name="witness_name">
                            </div>
                            <div class="form-group">
                                <label for="witnessDesignation">Designation:</label>
                                <input type="text" class="form-control" id="witnessDesignation" name="witness_designation">
                            </div>
                            <div class="form-group">
                                <label for="testimony">Testimony:</label>
                                <textarea class="form-control" name="testimony" id="testimony" cols="10" rows="10"></textarea>
                            </div>
                            <div class="form-group">
                                <label for="rating">Rating (1-5):</label>
                                <input type="number" class="form-control" id="rating" name="rating" max="5" min="0">
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Add</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
                <!-- Indicators -->
                <ol class="carousel-indicators">
                    <li data-target="#carousel-example-generic" data-slide-to="0" class="active"></li>
                    <li data-target="#carousel-example-generic" data-slide-to="1"></li>
                    <li data-target="#carousel-example-generic" data-slide-to="2"></li>
                </ol>

                <!-- Wrapper for slides -->
                <div class="carousel-inner" role="listbox">

                    <?php 
                        include("./conn/conn.php");

                        $stmt = $conn->prepare("SELECT * FROM tbl_testimony");
                        $stmt->execute();
                        
                        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

                        foreach ($result as $row) { 
                            $testimonyID = $row['tbl_testimony_id'];
                            $witnessImage = $row['image'];
                            $witnessName = $row['witness_name'];
                            $witnessDesignation = $row['witness_designation'];
                            $testimony = $row['testimony'];
                            $rating = $row['rating'];
                            ?>

                            <div class="item" id="item-<?= $testimonyID ?>">
                            <button class="btn btn-light delete-button" onclick="deleteTestimony(<?= $testimonyID ?>)">X</button>
                                <div class="imgBox animated bounceInRight" style="animation-delay: 1s">
                                    <img src="./images/<?= $witnessImage ?>" alt="<?= $witnessImage ?>">
                                </div>
                                <div class="carousel-caption animated bounceInLeft"  style="animation-delay: 2s">
                                    <input type="hidden" class="id" value="<?= $testimonyID ?>" id="testimonyID-<?= $testimonyID ?>" name="tbl_testimony_id">
                                    <h4>Rating: <span id="stars-<?= $testimonyID ?>"></span></h4>
                                    <h3><?= $witnessName ?></h3>
                                    <h4><?= $witnessDesignation ?></h4>
                                    <p><?= $testimony ?></p>
                                </div>
                            </div>

                            <script>
                                var rating = <?= $rating ?>;
                                var starsContainer = document.getElementById('stars-<?= $testimonyID ?>');
                                var stars = '';

                                for (var i = 0; i < rating; i++) {
                                    stars += '&#9733;';
                                }
                                starsContainer.innerHTML = stars;
                            </script>
                            <?php 
                        } 
                    ?>



                    <div class="item active">
                        <div class="imgBox animated bounceInRight" style="animation-delay: 1s">
                            <img src="./images/1.jpg" alt="">
                        </div>
                        <div class="carousel-caption animated bounceInLeft"  style="animation-delay: 2s">
                            <h4>Rating: &#9733;&#9733;&#9733;&#9733;&#9733;</h1>
                            <h3>Client's Name</h3>
                            <h4>Their Designation</h4>
                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Laborum molestiae id rerum dolorum temporibus accusamus similique. Saepe cum omnis nisi praesentium voluptate doloremque magnam sequi.</p>
                        </div>
                    </div>

                </div>

                <!-- Controls -->
                <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
                    <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
                    <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
    

    <script>
        function deleteTestimony(id) {
            if (confirm("Do you want to delete this testimony?")) {
                window.location = "./endpoint/delete-testimony.php?testimony=" + id;
            }
        }
    </script>

</body>
</html>


